Postgresql创建扩展失败[英] Postgresql create extension fails

本文是小编为大家收集整理的关于Postgresql创建扩展失败的处理方法,想解了Postgresql创建扩展失败的问题怎么解决?Postgresql创建扩展失败问题的解决办法?那么可以参考本文帮助大家快速定位并解决问题。

问题描述

我正在使用扩展程序,到目前为止没有任何问题.现在我创建一个新的,当我打电话时创建扩展工具;我进入 PG 9.2:

$ 创建扩展工具;FEHLER: Syntaxfehler bei » «ZEILE 1:创建扩展工具;

在 PG 9.1 中:创建扩展工具;错误:"创建"处或附近的语法错误第 1 行:创建扩展工具;

我有一个 util--1.0.sql ,即使这个文件是空的,我也会得到错误.我的 util.control 看起来像这样:

comment ='Hilfsfunktionen für Updateskripte'
default_version = '1.0'
schema=system

有什么提示吗?罗尔夫

推荐答案

我很确定你连接的服务器既不是 9.1 也不是 9.2.连接到它并运行 SELECT version(); 进行确认.

本文地址:https://www.itbaoku.cn/post/1763947.html